Skip to main content

TMForum Open APIs (4.0.0)

Download OpenAPI specification:Download

Industry-standard REST APIs for telecommunications (TMF620, TMF622, TMF648)

TMF622 - Product Ordering

Product order lifecycle management

Create Product Order

Place a new product order with order items

Authorizations:
basicAuth
Request Body schema: application/json
required
externalId
required
string

External order identifier

category
required
string

Order category

description
string
requestedStartDate
string <date-time>
requestedCompletionDate
string <date-time>
Array of objects (ProductOrderItem)
Array of objects (RelatedParty)

Responses

Request samples

Content type
application/json
{
  • "externalId": "string",
  • "category": "string",
  • "description": "string",
  • "requestedStartDate": "2019-08-24T14:15:22Z",
  • "requestedCompletionDate": "2019-08-24T14:15:22Z",
  • "orderItems": [
    ],
  • "relatedParty": [
    ]
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "href": "string",
  • "externalId": "string",
  • "state": "acknowledged",
  • "orderDate": "2019-08-24T14:15:22Z",
  • "completionDate": "2019-08-24T14:15:22Z",
  • "expectedCompletionDate": "2019-08-24T14:15:22Z",
  • "orderItems": [
    ]
}

List Product Orders

Retrieve a list of product orders matching search criteria

Authorizations:
basicAuth
query Parameters
offset
integer
Default: 0
limit
integer
Default: 20

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get Product Order

Retrieve details of a specific product order

Authorizations:
basicAuth
path Parameters
orderId
required
string

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "href": "string",
  • "externalId": "string",
  • "state": "acknowledged",
  • "orderDate": "2019-08-24T14:15:22Z",
  • "completionDate": "2019-08-24T14:15:22Z",
  • "expectedCompletionDate": "2019-08-24T14:15:22Z",
  • "orderItems": [
    ]
}

Update Product Order

Partially update a product order

Authorizations:
basicAuth
path Parameters
orderId
required
string
Request Body schema: application/json
required
state
string
completionDate
string <date-time>

Responses

Request samples

Content type
application/json
{
  • "state": "string",
  • "completionDate": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "href": "string",
  • "externalId": "string",
  • "state": "acknowledged",
  • "orderDate": "2019-08-24T14:15:22Z",
  • "completionDate": "2019-08-24T14:15:22Z",
  • "expectedCompletionDate": "2019-08-24T14:15:22Z",
  • "orderItems": [
    ]
}

TMF648 - Quote Management

Product quote management

Create Product Quote

Request a new product quote

Authorizations:
basicAuth
Request Body schema: application/json
required
externalId
required
string
description
string
requestedQuoteCompletionDate
string <date-time>
Array of objects (QuoteItem)

Responses

Request samples

Content type
application/json
{
  • "externalId": "string",
  • "description": "string",
  • "requestedQuoteCompletionDate": "2019-08-24T14:15:22Z",
  • "quoteItem": [
    ]
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "href": "string",
  • "externalId": "string",
  • "state": "inProgress",
  • "quoteDate": "2019-08-24T14:15:22Z",
  • "validityPeriod": {
    },
  • "quoteItem": [
    ]
}

List Product Quotes

Retrieve a list of product quotes

Authorizations:
basicAuth
query Parameters
offset
integer
Default: 0
limit
integer
Default: 20

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get Product Quote

Retrieve details of a specific product quote

Authorizations:
basicAuth
path Parameters
quoteId
required
string

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "href": "string",
  • "externalId": "string",
  • "state": "inProgress",
  • "quoteDate": "2019-08-24T14:15:22Z",
  • "validityPeriod": {
    },
  • "quoteItem": [
    ]
}

TMF620 - Product Catalog

Product catalog management

Get Product Catalog

Retrieve the product catalog

Authorizations:
basicAuth

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "description": "string",
  • "validFor": {
    }
}

List Product Offerings

Retrieve available product offerings

Authorizations:
basicAuth
query Parameters
offset
integer
Default: 0
limit
integer
Default: 20

Responses

Response samples

Content type
application/json
[
  • {
    }
]